osgText Namespace Reference

## Classes

class | FadeText
class | Font
class | Glyph
class | GlyphGeometry
class | Glyph3D
class | GlyphTexture
class | VectorUInt
class | String
class | Bevel
class | Style
class | Text
class | Text3D
class | TextBase

## Typedefs

typedef Font | Font3D
typedef std::pair< unsigned int, unsigned int > | FontResolution

## Enumerations

enum | ShaderTechnique { NO_TEXT_SHADER = 0x0 , GREYSCALE = 0x1 , SIGNED_DISTANCE_FIELD = 0x2 , ALL_FEATURES = GREYSCALE | SIGNED_DISTANCE_FIELD }
enum | KerningType { KERNING_DEFAULT , KERNING_UNFITTED , KERNING_NONE }

## Functions

OSGTEXT_EXPORT osg::ref_ptr< Font > | readRefFontFile (const std::string &filename, const osgDB::Options *userOptions=0)
OSGTEXT_EXPORT osg::ref_ptr< Font > | readRefFontStream (std::istream &stream, const osgDB::Options *userOptions=0)
OSGTEXT_EXPORT std::string | findFontFile (const std::string &str)
osg::ref_ptr< Font > | readRefFont3DFile (const std::string &filename, const osgDB::ReaderWriter::Options *userOptions=0)
osg::ref_ptr< Font > | readRefFont3DStream (std::istream &stream, const osgDB::ReaderWriter::Options *userOptions=0)
std::string | findFont3DFile (const std::string &str)

## Detailed Description

The osgText library is a NodeKit that extends the core scene graph to support high quality text.

## Typedef Documentation

## Font3D

typedef Font osgText::Font3D

## FontResolution

typedef std::pair< unsigned int, unsigned int > osgText::FontResolution

## Enumeration Type Documentation

## KerningType

enum osgText::KerningType

Enumerator
KERNING_DEFAULT |
KERNING_UNFITTED |
KERNING_NONE |

## ShaderTechnique

enum osgText::ShaderTechnique

Enumerator
NO_TEXT_SHADER |
GREYSCALE |
SIGNED_DISTANCE_FIELD |
ALL_FEATURES |

## Function Documentation

## findFont3DFile()

std::string osgText::findFont3DFile | ( | const std::string & | str | ) |

inline

deprecated, use findFontFile() instead.

References findFontFile().

## findFontFile()

OSGTEXT_EXPORT std::string osgText::findFontFile | ( | const std::string & | str | ) |

extern

References OSGTEXT_EXPORT.

Referenced by findFont3DFile().

## readRefFont3DFile()

osg::ref_ptr< Font > osgText::readRefFont3DFile | ( | const std::string & | filename,
|  | const osgDB::ReaderWriter::Options * | userOptions = 0 )

inline

deprecated, use readRefFontFile() instead.

References readRefFontFile().

## readRefFont3DStream()

osg::ref_ptr< Font > osgText::readRefFont3DStream | ( | std::istream & | stream,
|  | const osgDB::ReaderWriter::Options * | userOptions = 0 )

inline

deprecated, use readRefFontStream() instead.

References readRefFontStream().

## readRefFontFile()

OSGTEXT_EXPORT osg::ref_ptr< Font > osgText::readRefFontFile | ( | const std::string & | filename,
|  | const osgDB::Options * | userOptions = 0 )

extern

References OSGTEXT_EXPORT.

Referenced by readRefFont3DFile().

## readRefFontStream()

OSGTEXT_EXPORT osg::ref_ptr< Font > osgText::readRefFontStream | ( | std::istream & | stream,
|  | const osgDB::Options * | userOptions = 0 )

extern

References OSGTEXT_EXPORT.

Referenced by readRefFont3DStream().